Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 675920 - dev-java/icedtea with sys-kernel/gentoo-sources-5 - ?
Summary: dev-java/icedtea with sys-kernel/gentoo-sources-5 - ?
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andrew John Hughes
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-20 17:03 UTC by Mike Lothian
Modified: 2019-03-13 06:25 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch doesn't work (icedtea.patch,1.29 KB, patch)
2019-01-20 17:03 UTC, Mike Lothian
Details | Diff
Build log (build.log,140.23 KB, text/plain)
2019-01-20 20:52 UTC, Mike Lothian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Lothian 2019-01-20 17:03:22 UTC
Created attachment 562314 [details, diff]
Patch doesn't work

The Makefiles do a check for the Kernel version, however these files don't exist at the time econf in src_configure is started, and it's during that configure where they're created and run

It might be a good idea to get upstream to just check for kernel version higher than 2.4 rather than checking for either 2.4, 2.5, 2.6, 3 or 4 to stop the same thing happens when Kernel 6 is cut in 4 or 5 years
Comment 1 Jeroen Roovers gentoo-dev 2019-01-20 18:26:44 UTC
Please attach the entire build log to this bug report.
Comment 2 Mike Lothian 2019-01-20 20:52:27 UTC
Created attachment 562324 [details]
Build log
Comment 3 Urmet Saar 2019-01-23 10:02:19 UTC
Happens here too. And if I remember correctly the same problem also appeared when linux 3 and/or 4 was released.

At least I found a simple workaround to make it compile without patching anything:
# setarch --uname-2.6 emerge -au icedtea
Comment 4 Andrew John Hughes 2019-01-24 21:13:15 UTC
Yes:

3.0: https://bugs.openjdk.java.net/browse/JDK-7072341
4.0: https://bugs.openjdk.java.net/browse/JDK-8074312

I can't see a way for make to do a numerical comparison (i.e. >= 2.4), so I'm afraid it'll have to be adding 5%.

The good news is the check doesn't seem to be present in the new HotSpot build (OpenJDK 9 and later), so this will eventually die with OpenJDK 8.

I'll fix this in the upcoming 3.11.0 release:

https://icedtea.classpath.org/bugzilla/show_bug.cgi?id=3685
Comment 5 Mike Lothian 2019-01-24 21:19:20 UTC
Maybe just remove the version check?

Probably unlikely someone will be building with Kernel 2.2
Comment 6 Andrew John Hughes 2019-01-24 21:37:10 UTC
OpenJDK bug: https://bugs.openjdk.java.net/browse/JDK-8217753
Comment 7 Larry the Git Cow gentoo-dev 2019-03-05 23:00:58 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f16d843feaa2e16999ed4684ca1a43cdbc481150

commit f16d843feaa2e16999ed4684ca1a43cdbc481150
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2019-03-05 22:57:43 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2019-03-05 23:00:43 +0000

    dev-java/openjdk: fix configure check for linux-5
    
    Closes: https://bugs.gentoo.org/679506
    Bug: https://bugs.gentoo.org/675920
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-java/openjdk/openjdk-8.202_p08.ebuild | 3 +++
 1 file changed, 3 insertions(+)
Comment 8 Pat Erley 2019-03-09 07:43:56 UTC
the icedtea-3.10.0 ebuild suffers this as well.
Comment 9 Andrew John Hughes 2019-03-09 20:03:06 UTC
This is fixed in IcedTea 3.11. I'll push an ebuild for that to java-overlay today.
Comment 10 Larry the Git Cow gentoo-dev 2019-03-13 06:25:42 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d9c38a3c67b037d07ad83b1acb59dc5c4f330ba

commit 3d9c38a3c67b037d07ad83b1acb59dc5c4f330ba
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2019-03-13 05:53:31 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2019-03-13 05:57:41 +0000

    dev-java/icedtea: bump to 3.11.0
    
    Closes: https://bugs.gentoo.org/675920
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Andrew John Hughes <gnu_andrew@member.fsf.org>
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-java/icedtea/Manifest              |  11 +
 dev-java/icedtea/icedtea-3.11.0.ebuild | 385 +++++++++++++++++++++++++++++++++
 2 files changed, 396 insertions(+)